Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 122817

Summary: libboost_*.so symlinks missing
Product: [Fedora] Fedora Reporter: Braden McDaniel <braden>
Component: boostAssignee: Benjamin Kosnik <bkoz>
Status: CLOSED CURRENTRELEASE QA Contact:
Severity: high Docs Contact:
Priority: medium    
Version: 3CC: gbritton, mnewsome
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: 5.fc3 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2005-03-25 23:24:03 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Braden McDaniel 2004-05-08 15:27:00 UTC
Description of problem:
The libboost_*.so symlinks seem to be missing.


Version-Release number of selected component (if applicable):
1.31.0-6

Comment 1 Anthony Green 2004-10-07 15:18:10 UTC
Yes - the boost installation is completely busted.

There are no .so files, just .a libs and .so.1* files.

Even worse, libboost_thread.a doesn't even get installed - so that
part of boost is completely unusable.  This is true for FC2 as well as
the FC3 test releases.

Comment 2 Benjamin Kosnik 2004-11-30 00:25:53 UTC
This is an issue with boost build. It's fixed in boost-1.32.0-0.

-benjamin

Comment 3 Benjamin Kosnik 2004-12-02 17:09:54 UTC
Gah. No, it's not. I'm fixing it now, in boost-1.32.0-3.

-benjamin

Comment 4 Jef Spaleta 2004-12-02 18:07:04 UTC
Please be advised that the Obsoleting instructions in the boost update
for fc3 that was released that refered to this bugreport to
updates-released caused an unfortunate side effect of incorrectly
obsoleting boost-devel and removing it from the system when upgrading
just the boost package. Not a horrible problem, but its pretty shallow.

Without commenting on the importance or severity of the fixes in
boost-1.32.0-1.fc3 specifically, because i am unqualified to do so, I
would like to encourage you to please use updates-testing tree for as
many updates as is appropriate. It would have been nice if this update
could have been placed into updates-testing to catch the shallow
obsoleting problem before releasing to updates-release.  While
competent testing can not be garunteed if an update sits in the
updates-testing tree for a few days, it certaintly can't hurt to have
an update bake in updates-testing for a few days if the update is not
deemed critical or a security fix.  

-jef

Comment 5 Gerald Britton 2005-02-12 05:01:05 UTC
The development .so symlinks are still missing in boost-devel-1.32.0-3
The spec file doesn't currently install the .so symlinks from the stage
directory where it installs the other lib files from.

Comment 6 Benjamin Kosnik 2005-03-16 23:15:21 UTC
Yep. I believe I finally fixed this for real in boost-1.32.0-4, and will be
pushing this out shortly.

best,
benjamin

Comment 7 Gerald Britton 2005-03-19 04:54:53 UTC
looking at boost-1.32.0-5 from fc3-updates-testing, the .so symlinks are packaged
in the main package, they should be packaged in the -devel package as they are
only used during linking.